package shwtnk.incomingcallnotification;

import android.app.Notification;
import android.app.NotificationManager;
import android.app.PendingIntent;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.preference.PreferenceManager;
import android.telephony.TelephonyManager;
import android.util.Log;
import android.widget.Toast;

import static android.content.Context.NOTIFICATION_SERVICE;


public class IncomingCallReceiver extends BroadcastReceiver {

    SharedPreferences sharedpreferences;

    private static final String TAG = "IncomingCallReceiver";
    public static final String MyPREFERENCES = "MyPrefs" ;
    public static final String Phone = "phoneKey";

    @Override
    public void onReceive(Context context, Intent intent) {
        try {

            Log.d(TAG, "onReceive: entered try");
            //Toast.makeText(mContext, "IncommingCallReceiver called", Toast.LENGTH_LONG).show();
            String state = intent.getStringExtra
                    (TelephonyManager.EXTRA_STATE);
            String phNumber = intent.getExtras().getString
                    ("incoming_number");

            if (state.equals(TelephonyManager.EXTRA_STATE_RINGING)) {
                Log.d(TAG, "onReceive: enterd if");
                Toast.makeText(context, "Phone Is Ringing" + phNumber,
                        Toast.LENGTH_LONG).show();

                sharedpreferences = context.getSharedPreferences(MyPREFERENCES,
                        Context.MODE_PRIVATE);
                SharedPreferences.Editor editor = sharedpreferences.edit();
                editor.putString(Phone, phNumber);
                editor.apply();

                Intent in = new Intent(context, ListOfMissedCalls.class);


                PendingIntent pI = PendingIntent.getActivity(context, 232, in, 0);

                Notification noti = new Notification.Builder(context)
                        .setContentTitle("New Email from xyz@gmail.com")
                        .setContentText("Subject")
                        .setSmallIcon(R.drawable.abc)
                        .setContentIntent(pI)
                        .build();

                NotificationManager notificationManager =
                        (NotificationManager) context.getSystemService(NOTIFICATION_SERVICE);
                noti.flags |= Notification.FLAG_AUTO_CANCEL;
                notificationManager.notify(0, noti);
            }
        }catch (Exception e) {

            // Toast.makeText(mContext,"exception:"+e.getMessage(),Toast.LENGTH_SHORT).show();
            Log.d("log message", e.getMessage());

        }

    }
}
